=begin
/*
$Id: qt/examples/xml/tagreader/tagreader.cpp   2.2.4   edited 2001-01-22 $
*/
=end
require "structureparser.rb"

    for i in 0..(ARGV.size - 1) #( int i=1; i < argc; i++ )
        handler = StructureParser.new
        xmlFile = File.new(ARGV[i],"r")
        source = QXmlInputSource.new
        source.setData(xmlFile.read)
        reader = QXmlSimpleReader.new
        reader.setContentHandler( handler )
        reader.parse( source )
    end
    exit 0

